CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000352CEGUICore library (CEGUIBase)public2010-04-12 08:402010-09-29 10:27
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionMercurial: default branch 
Summary0000352: [RFE] Add factility to clone a window.
DescriptionThere is no means to clone a window, which could be considered a common action / function.

See: http://www.cegui.org.uk/phpBB2/viewtopic.php?f=10&t=4565 [^]
TagsNo tags attached.
Attached Filespatch file icon Window_clone.patch [^] (3,269 bytes) 2010-08-28 10:55 [Show Content]

- Relationships

-  Notes
(0000481)
Kulik (administrator)
2010-08-28 10:56

I started this patch since I will need this facility... It's not perfect, it works in 90% of cases but it doesn't work well with layout containers, tab control and maybe other stuff.

It needs more work before this gets commited. And it's not really exception safe.
(0000490)
Kulik (administrator)
2010-09-28 16:17

I have done a better version working with layout containers and tab control (maybe even other stuff)

http://harcov.czenet.com/kulik/CEGUI/clone_autoWinFix.patch [^]
(0000492)
CrazyEddie (administrator)
2010-09-29 10:27

Window::clone function was added to branches/v0-7 r2626. Many thanks to Kulik.

- Issue History
Date Modified Username Field Change
2010-04-12 08:40 CrazyEddie New Issue
2010-08-28 10:55 Kulik File Added: Window_clone.patch
2010-08-28 10:56 Kulik Note Added: 0000481
2010-09-28 16:17 Kulik Note Added: 0000490
2010-09-29 09:51 CrazyEddie Status new => assigned
2010-09-29 09:51 CrazyEddie Assigned To => CrazyEddie
2010-09-29 10:27 CrazyEddie Note Added: 0000492
2010-09-29 10:27 CrazyEddie Status assigned => resolved
2010-09-29 10:27 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-09-29 10:27 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker